ICU 78.2 78.2

Public Member Functions | Static Public Member Functions
icu::CurrencyAmount Class Reference

A currency together with a numeric amount, such as 200 USD. More...

`#include <curramt.h>`

Inheritance diagram for icu::CurrencyAmount:

## Public Member Functions
| CurrencyAmount (const Formattable &amount, ConstChar16Ptr isoCode, UErrorCode &ec)
| Construct an object with the given numeric amount and the given ISO currency code. More...
| CurrencyAmount (double amount, ConstChar16Ptr isoCode, UErrorCode &ec)
| Construct an object with the given numeric amount and the given ISO currency code. More...
| CurrencyAmount (const CurrencyAmount &other)
| Copy constructor. More...
CurrencyAmount & | operator= (const CurrencyAmount &other)
| Assignment operator. More...
virtual CurrencyAmount * | clone () const override
| Return a polymorphic clone of this object. More...
virtual | ~CurrencyAmount ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const override
| Returns a unique class ID for this object POLYMORPHICALLY. More...
const CurrencyUnit & | getCurrency () const
| Return the currency unit object of this object. More...
const char16_t * | getISOCurrency () const
| Return the ISO currency code of this object. More...
Public Member Functions inherited from icu::Measure
| Measure (const Formattable &number, MeasureUnit *adoptedUnit, UErrorCode &ec)
| Construct an object with the given numeric amount and the given unit. More...
| Measure (const Measure &other)
| Copy constructor. More...
Measure & | operator= (const Measure &other)
| Assignment operator. More...
virtual | ~Measure ()
| Destructor. More...
bool | operator== (const UObject &other) const
| Equality operator. More...
bool | operator!= (const UObject &other) const
| Inequality operator. More...
const Formattable & | getNumber () const
| Return a reference to the numeric value of this object. More...
const MeasureUnit & | getUnit () const
| Return a reference to the unit of this object. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...

## Static Public Member Functions
static UClassID | getStaticClassID ()
| Returns the class ID for this class. More...
Static Public Member Functions inherited from icu::Measure
static UClassID | getStaticClassID ()
| Return the class ID for this class. More...

## Additional Inherited Members
Protected Member Functions inherited from icu::Measure
| Measure ()
| Default constructor. More...

## Detailed Description

A currency together with a numeric amount, such as 200 USD.

Author
  Alan Liu

Stable:
  ICU 3.0

Definition at line 39 of file curramt.h.

## Constructor & Destructor Documentation

## ◆ CurrencyAmount() [1/3]

icu::CurrencyAmount::CurrencyAmount | ( | const Formattable & | amount,
|  | ConstChar16Ptr | isoCode,
|  | UErrorCode & | ec
| ) |  |

Construct an object with the given numeric amount and the given ISO currency code.

Parameters

  amount | a numeric object; amount.isNumeric() must be true
  isoCode | the 3-letter ISO 4217 currency code; must not be nullptr and must have length 3
  ec | input-output error code. If the amount or the isoCode is invalid, then this will be set to a failing value.

Stable:
  ICU 3.0

## ◆ CurrencyAmount() [2/3]

icu::CurrencyAmount::CurrencyAmount | ( | double | amount,
|  | ConstChar16Ptr | isoCode,
|  | UErrorCode & | ec
| ) |  |

Construct an object with the given numeric amount and the given ISO currency code.

Parameters

  amount | the amount of the given currency
  isoCode | the 3-letter ISO 4217 currency code; must not be nullptr and must have length 3
  ec | input-output error code. If the isoCode is invalid, then this will be set to a failing value.

Stable:
  ICU 3.0

## ◆ CurrencyAmount() [3/3]

icu::CurrencyAmount::CurrencyAmount | ( | const CurrencyAmount & | other | ) |

Copy constructor.

Stable:
  ICU 3.0

## ◆ ~CurrencyAmount()

virtual icu::CurrencyAmount::~CurrencyAmount | ( |  | ) |
| virtual

Destructor.

Stable:
  ICU 3.0

## Member Function Documentation

## ◆ clone()

virtual CurrencyAmount* icu::CurrencyAmount::clone | ( |  | ) | const
| override virtual

Return a polymorphic clone of this object.

The result will have the same class as returned by getDynamicClassID().

Stable:
  ICU 3.0

Reimplemented from icu::Measure.

## ◆ getCurrency()

const CurrencyUnit& icu::CurrencyAmount::getCurrency | ( |  | ) | const

Return the currency unit object of this object.

Stable:
  ICU 3.0

## ◆ getDynamicClassID()

virtual UClassID icu::CurrencyAmount::getDynamicClassID | ( |  | ) | const
| override virtual

Returns a unique class ID for this object POLYMORPHICALLY.

This method implements a simple form of RTTI used by ICU.

Returns
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Stable:
  ICU 3.0

Reimplemented from icu::Measure.

## ◆ getISOCurrency()

const char16_t * icu::CurrencyAmount::getISOCurrency | ( |  | ) | const
| inline

Return the ISO currency code of this object.

Stable:
  ICU 3.0

Definition at line 123 of file curramt.h.

## ◆ getStaticClassID()

static UClassID icu::CurrencyAmount::getStaticClassID | ( |  | ) |
| static

Returns the class ID for this class.

This is used to compare to the return value of getDynamicClassID().

Returns
  The class ID for all objects of this class.

Stable:
  ICU 3.0

## ◆ operator=()

CurrencyAmount& icu::CurrencyAmount::operator= | ( | const CurrencyAmount & | other | ) |

Assignment operator.

Stable:
  ICU 3.0

The documentation for this class was generated from the following file:

- i18n/unicode/curramt.h